Page MenuHomePhabricator

Add yourself to the Jenkins whitelist in Gerrit to trigger testing unit test failures or code style issues yourself
Open, MediumPublic

Description

Note: You must have had two merged patches in Wikimedia Gerrit as a GCI student before you can claim this task in GCI!

Submit a patch in Gerrit to add yourself to the Jenkins whitelist. See https://www.mediawiki.org/wiki/Continuous_integration/Whitelist for more information.

Your commit message should indicate that you are a GCI student.

GCI mentors: @Urbanecm, @Gopavasanth (feel free to add yourself too)

Details

Related Gerrit Patches:
integration/config : masterlayout.yaml: Add JeremyNguyen to Jenkins whitelist
integration/config : masterlayout.yaml: Add JeremyNguyen to Jenkins whitelist
integration/config : masterAdd RetroCraft to the whitelist
integration/config : masterAdd ptrcnull to the whitelist
integration/config : masterlayout.yaml: Add Safan41 to CI whitelist
integration/config : masterAdd BrandonXLF to the whitelist
integration/config : masterlayout.yaml: added n3rsti to whitelist

Event Timeline

Urbanecm created this task.Oct 11 2019, 5:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 11 2019, 5:20 PM
Gopavasanth updated the task description. (Show Details)Oct 11 2019, 6:00 PM
Gopavasanth added a subscriber: Gopavasanth.
Pppery added a subscriber: Pppery.EditedDec 5 2019, 3:14 AM

Do the two merged patches have to be from this year, or do merged patches from past years of google code in count?

Do the two merged patches have to be from this year, or do merged patches from past years of google code in count?

i'd be personally fine with (any) two merged patches.

Change 560049 had a related patch set uploaded (by Ammarpad; owner: N3rsti):
[integration/config@master] layout.yaml: added n3rsti to whitelist

https://gerrit.wikimedia.org/r/560049

Change 560049 merged by jenkins-bot:
[integration/config@master] layout.yaml: added n3rsti to whitelist

https://gerrit.wikimedia.org/r/560049

Pppery removed a subscriber: Pppery.Sun, Dec 29, 8:10 PM

Change 561398 had a related patch set uploaded (by Safan41; owner: Safan41):
[integration/config@master] layout.yaml: Added Safan41 to CI whitelist

https://gerrit.wikimedia.org/r/561398

Ammarpad triaged this task as Medium priority.Thu, Jan 2, 1:26 AM

Change 561402 had a related patch set uploaded (by BrandonXLF; owner: BrandonXLF):
[integration/config@master] Add BrandonXLF to the whitelist

https://gerrit.wikimedia.org/r/561402

Change 561402 merged by jenkins-bot:
[integration/config@master] Add BrandonXLF to the whitelist

https://gerrit.wikimedia.org/r/561402

Mentioned in SAL (#wikimedia-releng) [2020-01-02T16:46:26Z] <James_F|Away> Add BrandonXLF to the whitelist T235286

Change 561398 merged by jenkins-bot:
[integration/config@master] layout.yaml: Add Safan41 to CI whitelist

https://gerrit.wikimedia.org/r/561398

Mentioned in SAL (#wikimedia-releng) [2020-01-02T17:02:09Z] <James_F|Away> Add Safan41 to the whitelist T235286

Change 562307 had a related patch set uploaded (by Bjornskjald; owner: Bjornskjald):
[integration/config@master] Add ptrcnull to the whitelist

https://gerrit.wikimedia.org/r/562307

Change 562307 merged by jenkins-bot:
[integration/config@master] Add ptrcnull to the whitelist

https://gerrit.wikimedia.org/r/562307

Change 562403 had a related patch set uploaded (by RetroCraft; owner: RetroCraft):
[integration/config@master] Add RetroCraft to the whitelist

https://gerrit.wikimedia.org/r/562403

Change 562403 merged by jenkins-bot:
[integration/config@master] Add RetroCraft to the whitelist

https://gerrit.wikimedia.org/r/562403

Change 563682 had a related patch set uploaded (by JeremyNguyenGCI; owner: JeremyNguyenGCI):
[integration/config@master] layout.yaml: Add JeremyNguyen to Jenkins whitelist

https://gerrit.wikimedia.org/r/563682

Change 563687 had a related patch set uploaded (by JeremyNguyenGCI; owner: JeremyNguyenGCI):
[integration/config@master] layout.yaml: Add JeremyNguyen to Jenkins whitelist

https://gerrit.wikimedia.org/r/563687

Change 563682 abandoned by JeremyNguyenGCI:
layout.yaml: Add JeremyNguyen to Jenkins whitelist

https://gerrit.wikimedia.org/r/563682

Change 563687 merged by jenkins-bot:
[integration/config@master] layout.yaml: Add JeremyNguyen to Jenkins whitelist

https://gerrit.wikimedia.org/r/563687

Mentioned in SAL (#wikimedia-releng) [2020-01-14T18:02:37Z] <James_F> Zuul: Add JeremyNguyen to Jenkins whitelist T235286